Package org.eclipse.net4j.util.om.monitor

## Class AbstractMonitor.AsyncTimerTask

- java.lang.Object
- - java.util.TimerTask
  - - org.eclipse.net4j.util.concurrent.TrackableTimerTask
    - - org.eclipse.net4j.util.om.monitor.AbstractMonitor.AsyncTimerTask

- All Implemented Interfaces:
    `java.lang.Runnable`, `OMMonitor.Async`
  Enclosing class:
    AbstractMonitor

      public static class AbstractMonitor.AsyncTimerTask
      extends TrackableTimerTask
      implements OMMonitor.Async

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.concurrent.TrackableTimerTask

      `TRACK_TIMER_TASKS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsyncTimerTask​(AbstractMonitor parent, double parentWork, double timeFactor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `cancel()` |
    `void` | `run()` |
    `void` | `stop()` |

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.TrackableTimerTask

      `getConstructionStackTraces, logConstructionStackTraces`

    - ### Methods inherited from class java.util.TimerTask

      `scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncTimerTask

          public AsyncTimerTask​(AbstractMonitor parent,
                                double parentWork,
                                double timeFactor)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Specified by:
        `run` in class `java.util.TimerTask`

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `OMMonitor.Async`

    - #### cancel

          public boolean cancel()

      Overrides:
        `cancel` in class `TrackableTimerTask`